Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade
Class UpgradeActionStatus

    public interface class UpgradeActionStatus

The status of a particular upgrade action in a current or previous schema upgrade.

Some methods in this interface may cache backing state. To obtain updated status for an upgrade action, acquire a new UpgradeActionStatus.

(Unpublished)

Method Summary
`java.lang.String` | `getActionName()` Gets the name of this upgrade action.
`java.lang.String` | `getPostUpgradeProgress()` Gets a characterization of this upgrade action's progress within the post-upgrade phase.
`java.lang.String` | `getPreUpgradeProgress()` Gets a characterization of this upgrade action's progress within the pre-upgrade phase.
`java.util.Date` | `getProgressLastModified()` Gets the time the progress of this upgrade action was last updated.
`java.lang.Integer` | `getProgressPercentage()` Gets an estimate of this upgrade action's progress in the current upgrade phase, as an integer percentage.
`int` | `getStatus()` Gets the status of this upgrade action.
`java.util.Date` | `getStatusLastModified()` Gets the time the status of this upgrade action last changed.
`long` | `getUpgradeActionErrorCount()` Gets the number of errors reported by this upgrade action.
`java.util.Iterator` | `getUpgradeActionErrors()` Gets the errors reported by this upgrade action.
`java.lang.String` | `getUpgradeProgress()` Gets a characterization of this upgrade action's progress within the upgrade phase.

Method Detail

### getActionName

    java.lang.String getActionName()
                                   throws IfsException

  Description copied from interface: `UpgradeActionStatus`
  Gets the name of this upgrade action.

  Returns:
    the upgrade action name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getStatus

    int getStatus()
                  throws IfsException

  Description copied from interface: `UpgradeActionStatus`
  Gets the status of this upgrade action.

  Must be one of the following values:

  - `UpgradeStatus.STATUS_INITIALIZED`
  - `UpgradeStatus.STATUS_ANALYZING`
  - `UpgradeStatus.STATUS_ANALYZED`
  - `UpgradeStatus.STATUS_PREUPGRADING`
  - `UpgradeStatus.STATUS_PREUPGRADED`
  - `UpgradeStatus.STATUS_UPGRADING`
  - `UpgradeStatus.STATUS_UPGRADED`
  - `UpgradeStatus.STATUS_POSTUPGRADING`
  - `UpgradeStatus.STATUS_COMPLETED`
  - `UpgradeStatus.STATUS_ROLLINGBACK`
  - `UpgradeStatus.STATUS_ROLLEDBACK`

  Returns:
    the upgrade action status
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getStatusLastModified

    java.util.Date getStatusLastModified()
                                         throws IfsException

  Description copied from interface: `UpgradeActionStatus`
  Gets the time the status of this upgrade action last changed.

  Returns:
    the time at which the status last changed
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getPreUpgradeProgress

    java.lang.String getPreUpgradeProgress()
                                           throws IfsException

  Description copied from interface: `UpgradeActionStatus`
  Gets a characterization of this upgrade action's progress within the pre-upgrade phase.

  The returned value is action-specific, for example "`2983 of 2983 rows pre-upgraded`" if the pre-upgrade phase were complete.

  Returns:
    the pre-upgrade progress, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getUpgradeProgress

    java.lang.String getUpgradeProgress()
                                        throws IfsException

  Description copied from interface: `UpgradeActionStatus`
  Gets a characterization of this upgrade action's progress within the upgrade phase.

  The returned value is action-specific, for example "`321 of 2983 rows upgraded`" if the upgrade phase were underway.

  Returns:
    the upgrade progress, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getPostUpgradeProgress

    java.lang.String getPostUpgradeProgress()
                                            throws IfsException

  Description copied from interface: `UpgradeActionStatus`
  Gets a characterization of this upgrade action's progress within the post-upgrade phase.

  The returned value is action-specific, for example "`0 of 2983 rows post-upgraded`" if the post-upgrade phase were not yet started.

  Returns:
    the post-upgrade progress, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getProgressPercentage

    java.lang.Integer getProgressPercentage()
                                            throws IfsException

  Description copied from interface: `UpgradeActionStatus`
  Gets an estimate of this upgrade action's progress in the current upgrade phase, as an integer percentage.

  Returns:
    within the current upgrade phase, the upgrade action's percent complete, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getProgressLastModified

    java.util.Date getProgressLastModified()
                                           throws IfsException

  Description copied from interface: `UpgradeActionStatus`
  Gets the time the progress of this upgrade action was last updated.

  Returns:
    the time the progress was last updated, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getUpgradeActionErrors

    java.util.Iterator getUpgradeActionErrors()
                                              throws IfsException

  Description copied from interface: `UpgradeActionStatus`
  Gets the errors reported by this upgrade action.

  Returns:
    the errors, as an Iterator of `UpgradeActionError`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getUpgradeActionErrorCount

    long getUpgradeActionErrorCount()
                                    throws IfsException

  Description copied from interface: `UpgradeActionStatus`
  Gets the number of errors reported by this upgrade action.

  Returns:
    the error count
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD